import { BaseProvider } from '#templates/base/provider';
import { ActiveResident } from '#models/ActiveResident';

export class ActiveResidentProvider extends BaseProvider<ActiveResident> {
	public static instance: ActiveResidentProvider;

	public static getInstance(): ActiveResidentProvider {
		ActiveResidentProvider.instance ??= new ActiveResidentProvider();
		return ActiveResidentProvider.instance;
	}

	public static get model() {
		return ActiveResident;
	}

	constructor() {
		super('ActiveResident');
	}
}
